QT += core sql network websockets
QT -= gui

CONFIG += c++11 console
CONFIG -= app_bundle

TARGET = agDP0001


SOURCES += \
        main.cpp \
    httpthread.cpp \
    logthread.cpp \
    videocore.cpp \
    tcpserver.cpp \
    tcpserver1.cpp \
    devinfotcpserver.cpp \
    databasethread.cpp


INCLUDEPATH += ../qmqtt-master/src/mqtt/


HEADERS += \
    httpthread.h \
    ../QReplyTimeout.h \
    logthread.h \
    videocore.h \
    tcpserver.h \
    tcpserver1.h \
    devinfotcpserver.h \
    databasethread.h


LIBS += -lQt5Qmqtt
